/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */

#include <gint/display.h>
#include <gint/keyboard.h>
#include <gint/gint.h>
#include <stdint.h>

#include "level.h"

extern tile_t level[LEVEL_SIZE];
extern int level_id;
extern char *fatal_error_msg;
extern int debug_value;

int main(void) {
	dclear(C_WHITE);
	dtext(1, 1, C_BLACK, "loading level (well trying to)...");
	dupdate();

	level_id = 0;
	gint_switch(level_load);

	dclear(C_BLACK);
	dtext(1, 1, C_WHITE, fatal_error_msg);
	dprint(1, 20, C_WHITE, "%d", debug_value);
	dupdate();
	getkey();

	gint_switch(level_save);

	dclear(C_WHITE);
	dtext(1, 1, C_BLACK, fatal_error_msg);
	dprint(1, 20, C_BLACK, "%d", debug_value);
	dupdate();
	getkey();
	return 1;
}
